<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hssf.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hssf.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/pivottable/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/helpers/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hssf.usermodel</h1>
    <div class="docSummary">
        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet model</div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                            title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a>
                    </td>
                    <td class="colLast">
                        <div class="block">An interface that indicates whether a class can contain children.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeTypes.html"
                                            title="interface in org.apache.poi.hssf.usermodel">HSSFShapeTypes</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                            title="class in org.apache.poi.hssf.usermodel">DVConstraint</a></td>
                    <td class="colLast">
                        <div class="block">Data Validation Constraint</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html"
                                            title="class in org.apache.poi.hssf.usermodel">EscherGraphics</a></td>
                    <td class="colLast">
                        <div class="block">Translates Graphics calls into escher calls.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics2d.html"
                                            title="class in org.apache.poi.hssf.usermodel">EscherGraphics2d</a></td>
                    <td class="colLast">
                        <div class="block">Translates Graphics2d calls into escher calls.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/FontDetails.html"
                                            title="class in org.apache.poi.hssf.usermodel">FontDetails</a></td>
                    <td class="colLast">
                        <div class="block">Stores width and height details about a font.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html"
                                            title="class in org.apache.poi.hssf.usermodel">HeaderFooter</a></td>
                    <td class="colLast">
                        <div class="block">Common class for <a
                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFHeader.html"
                                title="class in org.apache.poi.hssf.usermodel"><code>HSSFHeader</code></a> and <a
                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFFooter.html"
                                title="class in org.apache.poi.hssf.usermodel"><code>HSSFFooter</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a></td>
                    <td class="colLast">
                        <div class="block">An anchor is what specifics the position of a shape within a client object
                            or within another containing shape.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAutoFilter.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFAutoFilter</a></td>
                    <td class="colLast">
                        <div class="block">Represents autofiltering for the specified worksheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFBorderFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for Border Formatting component
                            of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFCell</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a cell in a row of a spreadsheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of the style of a cell in a sheet of a workbook.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFChart</a></td>
                    <td class="colLast">
                        <div class="block">Has methods for construction of a chart object.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFChart.HSSFSeries</a></td>
                    <td class="colLast">
                        <div class="block">A series in a chart</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFChildAnchor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a></td>
                    <td class="colLast">
                        <div class="block">A client anchor is attached to an excel worksheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFColorScaleFormatting.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFColorScaleFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for Color Scale / Color Gradient
                            Formatting component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCombobox.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFCombobox</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFComment</a></td>
                    <td class="colLast">
                        <div class="block">Represents a cell comment - a sticky note associated with a cell.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormatting</a></td>
                    <td class="colLast">
                        <div class="block">HSSFConditionalFormatting class encapsulates all settings of Conditional
                            Formatting.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of Conditional Formatting Rule.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingThreshold.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingThreshold</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for Icon / Multi-State / Databar /
                            Colour Scale change thresholds
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCreationHelper.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFCreationHelper</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataBarFormatting.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFDataBarFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for DataBar / Data-Bar Formatting
                            component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataFormat.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFDataFormat</a></td>
                    <td class="colLast">
                        <div class="block">Identifies both built-in and user defined formats within a workbook.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataFormatter.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFDataFormatter</a></td>
                    <td class="colLast">
                        <div class="block">HSSFDataFormatter contains methods for formatting the value stored in an
                            HSSFCell.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidation.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFDataValidation</a></td>
                    <td class="colLast">
                        <div class="block">Utility class for creating data validation cells</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFDataValidationHelper</a></td>
                    <td class="colLast">
                        <div class="block">Helper for working with Data Validation</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDateUtil.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFDateUtil</a></td>
                    <td class="colLast">
                        <div class="block">Contains methods for dealing with Excel dates.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFEvaluationWorkbook</a></td>
                    <td class="colLast">
                        <div class="block">Internal POI use only</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFExtendedColor.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFExtendedColor</a></td>
                    <td class="colLast">
                        <div class="block">The HSSF file format normally stores Color information in the
                            Palette (see PaletteRecord), but for a few cases (eg Conditional
                            Formatting, Sheet Extensions), this XSSF-style color record
                            can be used.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFFont</a></td>
                    <td class="colLast">
                        <div class="block">Represents a Font used in a workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFFontFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for Font Formatting component
                            of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFooter.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFFooter</a></td>
                    <td class="colLast">
                        <div class="block">Class to read and manipulate the footer.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFFormulaEvaluator</a></td>
                    <td class="colLast">
                        <div class="block">Evaluates formula cells.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFHeader.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFHeader</a></td>
                    <td class="colLast">
                        <div class="block">Class to read and manipulate the header.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFHyperlink</a></td>
                    <td class="colLast">
                        <div class="block">Represents an Excel hyperlink.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFIconMultiStateFormatting.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFIconMultiStateFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for Icon / Multi-State Formatting
                            component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFName.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFName</a></td>
                    <td class="colLast">
                        <div class="block">High Level Representation of a 'defined name' which could be a 'built-in'
                            name,
                            'named range' or name of a user defined function.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFObjectData.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFObjectData</a></td>
                    <td class="colLast">
                        <div class="block">Represents binary object (i.e.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFOptimiser.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFOptimiser</a></td>
                    <td class="colLast">
                        <div class="block">Excel can get cranky if you give it files containing too
                            many (especially duplicate) objects, and this class can
                            help to avoid those.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFPalette</a></td>
                    <td class="colLast">
                        <div class="block">Represents a workbook color palette.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a></td>
                    <td class="colLast">
                        <div class="block">The patriarch is the toplevel container for shapes in a sheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatternFormatting.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFPatternFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for Conditional Formatting settings</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFPicture</a></td>
                    <td class="colLast">
                        <div class="block">Represents a escher picture.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPictureData.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFPictureData</a></td>
                    <td class="colLast">
                        <div class="block">Represents binary data stored in the file.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPolygon.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFPolygon</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFPrintSetup</a></td>
                    <td class="colLast">
                        <div class="block">Used to modify the print setup.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRangeCopier.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFRangeCopier</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFRichTextString</a></td>
                    <td class="colLast">
                        <div class="block">Rich text unicode string.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFRow</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a row of a spreadsheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></td>
                    <td class="colLast">
                        <div class="block">An abstract shape.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeFactory.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFShapeFactory</a></td>
                    <td class="colLast">
                        <div class="block">Factory class for producing Excel Shapes from Escher records</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFShapeGroup</a></td>
                    <td class="colLast">
                        <div class="block">A shape group may contain other shapes.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a worksheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFSheetConditionalFormatting</a></td>
                    <td class="colLast">
                        <div class="block">The 'Conditional Formatting' facet of <tt>HSSFSheet</tt></div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents a simple shape such as a line, rectangle or oval.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a></td>
                    <td class="colLast">
                        <div class="block">A textbox is a shape that may hold a rich text string.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a workbook.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbookFactory.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFWorkbookFactory</a></td>
                    <td class="colLast">
                        <div class="block">Helper class which is instantiated by reflection from
                            <a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.io.File-"><code>WorkbookFactory.create(java.io.File)</code></a>
                            and similar
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFChartType.html"
                            title="enum in org.apache.poi.hssf.usermodel">HSSFChart.HSSFChartType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.hssf.usermodel Description">Package org.apache.poi.hssf.usermodel Description</h2>
    <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet model

        <h2>Related Documentation</h2>

        For overviews, tutorials, examples, guides, and tool documentation, please see:
        <ul>
            <li><a href="http://poi.apache.org">Apache POI Project</a>
        </ul>
    </div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/pivottable/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/helpers/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
